# Get pokemon

Source: https://holofolder.com/app/docs/reference/catalog/get-pokemon

GET https://app.holofolder.com/app/api/v1/pokemon/{id}

OpenAPI operation (parameters, authentication, request body and responses):

```json
{
  "operationId": "get_pokemon",
  "summary": "Get pokemon",
  "description": "Look up a Pokédex entry.\n\nRequired permissions: `catalog:read`. MCP tool: `get_pokemon`.",
  "tags": [
    "Catalog"
  ],
  "security": [
    {
      "apiKey": []
    }
  ],
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string",
        "pattern": "^\\d{1,4}$"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Success"
    },
    "400": {
      "description": "See the API conventions page."
    },
    "401": {
      "description": "See the API conventions page."
    },
    "402": {
      "description": "See the API conventions page."
    },
    "403": {
      "description": "See the API conventions page."
    },
    "404": {
      "description": "See the API conventions page."
    },
    "409": {
      "description": "See the API conventions page."
    },
    "413": {
      "description": "See the API conventions page."
    },
    "422": {
      "description": "See the API conventions page."
    },
    "429": {
      "description": "See the API conventions page."
    },
    "503": {
      "description": "See the API conventions page."
    }
  }
}
```
